package com.ruoyi.rocketmq.service;

import java.util.List;
import com.ruoyi.rocketmq.domain.RmFileInfo;

/**
 * 文件信息Service接口
 * 
 * @author gyt
 * @date 2025-09-15
 */
public interface IRmFileInfoService 
{
    /**
     * 查询文件信息
     * 
     * @param id 文件信息主键
     * @return 文件信息
     */
    public RmFileInfo selectRmFileInfoById(Long id);

    /**
     * 查询文件信息列表
     * 
     * @param rmFileInfo 文件信息
     * @return 文件信息集合
     */
    public List<RmFileInfo> selectRmFileInfoList(RmFileInfo rmFileInfo);

    /**
     * 新增文件信息
     * 
     * @param rmFileInfo 文件信息
     * @return 结果
     */
    public int insertRmFileInfo(RmFileInfo rmFileInfo);

    /**
     * 修改文件信息
     * 
     * @param rmFileInfo 文件信息
     * @return 结果
     */
    public int updateRmFileInfo(RmFileInfo rmFileInfo);

    /**
     * 批量删除文件信息
     * 
     * @param ids 需要删除的文件信息主键集合
     * @return 结果
     */
    public int deleteRmFileInfoByIds(Long[] ids);

    /**
     * 删除文件信息信息
     * 
     * @param id 文件信息主键
     * @return 结果
     */
    public int deleteRmFileInfoById(Long id);
}
